/* Virginia Tech Cognitive Radio Open Source Systems
 * Virginia Tech, 2009
 *
 * LICENSE INFORMATION GOES HERE
 */

/* DESCRIPTION OF FILE.
 */


#include <cstdlib>
#include <cstring>
#include <stdint.h>

#include "vtcross/common.h"
#include "vtcross/components.h"
#include "vtcross/containers.h"
#include "vtcross/debug.h"
#include "vtcross/error.h"
#include "vtcross/socketcomm.h"


ServiceManagementLayer::ServiceManagementLayer()
{
    LOG("Creating Service Management Layer.\n");
    LoadConfiguration();
}


ServiceManagementLayer::~ServiceManagementLayer()
{
}


void 
ServiceManagementLayer::SendComponentType()
{
}


void 
ServiceManagementLayer::ConnectToRemoteComponent(const char* serverName, const char* serverPort)
{
}


void 
ServiceManagementLayer::WaitForSignal()
{
    // TODO This is the critical point of this class... we need to figure out
    // what the requests will look like before we can proceed.

    /*
    if(GetRequest(socketFD, pList, &ce_info)) {
        LOG("ServiceManagementLayer:: Received signal.\n");
    }
    */

}


void 
ServiceManagementLayer::Shutdown()
{
}


void 
ServiceManagementLayer::Reset()
{
}


void 
ServiceManagementLayer::RegisterComponent()
{
    SendMessage(shellSocketFD, "register_sml");
    LOG("ServiceManagementLayer:: Registration message sent.\n");
}


void 
ServiceManagementLayer::DeregisterComponent()
{
}


void 
ServiceManagementLayer::TransferRadioConfiguration()
{
}


void 
ServiceManagementLayer::TransferExperience()
{
}


void 
ServiceManagementLayer::ReceiveServices()
{
}


void 
ServiceManagementLayer::SetActiveMission()
{
}


void 
ServiceManagementLayer::ListServices()
{
}


void 
ServiceManagementLayer::ReloadConfiguration()
{
}


void 
ServiceManagementLayer::LoadConfiguration()
{
    LOG("ServiceManagementLayer:: Loading Configuration.\n");
}

